BuildRequires: zlib-devel
Name:           mupdf
Version:        1.1
Release:        alt1_3
Summary:        A lightweight PDF viewer and toolkit
Group:          Publishing
License:        GPLv3
URL:            http://mupdf.com/
Source0:        http://mupdf.com/download/%{name}-%{version}-source.tar.gz
Source1:        %{name}.desktop
## http://bugs.ghostscript.com/show_bug.cgi?format=multiple&id=693010
Patch0:         %{name}-upstream.patch
BuildRequires:  libopenjpeg-devel libjbig2dec-devel desktop-file-utils
BuildRequires:  libjpeg-devel libfreetype-devel libXext-devel
Source44: import.info

%description
MuPDF is a lightweight PDF viewer and toolkit written in portable C.
The renderer in MuPDF is tailored for high quality anti-aliased
graphics.  MuPDF renders text with metrics and spacing accurate to
within fractions of a pixel for the highest fidelity in reproducing
the look of a printed page on screen.
MuPDF has a small footprint.  A binary that includes the standard
Roman fonts is only one megabyte.  A build with full CJK support
(including an Asian font) is approximately five megabytes.
MuPDF has support for all non-interactive PDF 1.7 features, and the
toolkit provides a simple API for accessing the internal structures of
the PDF document.  Example code for navigating interactive links and
bookmarks, encrypting PDF files, extracting fonts, images, and
searchable text, and rendering pages to image files is provided.

%package devel
Summary:        Development files for %{name}
Group:            Development/C
Requires:         %{name} = %{version}-%{release}
Provides:         %{name}-static = %{version}-%{release}

%description devel
The mupdf-devel package contains header files for developing
applications that use mupdf and static libraries

%prep
%setup -q -n %{name}-%{version}-source
%patch0 -p1 

%build
export CFLAGS="%{optflags}"
make  -j1 
## %{?_smp_mflags} verbose=1 

%install
make DESTDIR=%{buildroot} install prefix=%{buildroot}/usr libdir=%{buildroot}%{_libdir}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -D -m644 debian/%{name}.xpm %{buildroot}/%{_datadir}/pixmaps/%{name}.xpm
## filename conflict with poppler
### mv %{buildroot}%{_bindir}/pdfinfo %{buildroot}%{_bindir}/pdfinfo-mupdf
## fix strange permissons
chmod 0644 %{buildroot}/%{_includedir}/*.h
chmod 0644 %{buildroot}%{_libdir}/*.a
find %{buildroot}/%{_mandir} -type f -exec chmod 0644 {} \;

%files
%doc COPYING README
%{_bindir}/mupdf
%{_bindir}/mudraw
%{_bindir}/mubusy
%{_datadir}/applications/mupdf.desktop
%{_mandir}/man1/mudraw.1*
%{_mandir}/man1/mubusy.1*
%{_mandir}/man1/mupdf.1*
%{_datadir}/pixmaps/mupdf.xpm



%files devel
%{_includedir}/fitz.h
%{_includedir}/memento.h
%{_includedir}/mucbz.h
%{_includedir}/mupdf.h
%{_includedir}/muxps.h
%{_libdir}/libfitz.a

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_3
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_2
- update to new release by fcimport

* Mon Jan 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_1
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_3
- update to new release by fcimport

* Mon Aug 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_2
- new version

